Send a product message
POST /contacts/{contact_id}/send/products
curl -X POST "https://app.bualpro.com/api/contacts/123/send/products" \
-H "Content-Type: application/json" \
-H "X-ACCESS-TOKEN: YOUR_API_KEY" \
-d '{
"product_id": [
1111,
222,
3333
]
}'
import requests
import json
url = "https://app.bualpro.com/api/contacts/123/send/products"
headers = {
"Content-Type": "application/json",
"X-ACCESS-TOKEN": "YOUR_API_KEY"
}
data = {
"product_id": [
1111,
222,
3333
]
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app.bualpro.com/api/contacts/123/send/products", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-ACCESS-TOKEN": "YOUR_API_KEY"
},
body: JSON.stringify({
"product_id": [
1111,
222,
3333
]
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"product_id": [
1111,
222,
3333
]
}`)
req, err := http.NewRequest("POST", "https://app.bualpro.com/api/contacts/123/send/products", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-ACCESS-TOKEN", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.bualpro.com/api/contacts/123/send/products')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-ACCESS-TOKEN'] = 'YOUR_API_KEY'
request.body = '{
"product_id": [
1111,
222,
3333
]
}'
response = http.request(request)
puts response.body
{}
/contacts/{contact_id}/send/productsTarget server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
The product_id field could be a single product id, an array of product ids, or multiple product ids separated by a comma
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Body
The product_id field could be a single product id, an array of product ids, or multiple product ids separated by a comma
Responses
Send a product message to the contact
The source documents response descriptions but no response body schema. Do not infer that the response is empty.